/*global Swiper, BScroll, isPassive*/
// JavaScript Document

//按需写入所需的函数名
$(function () {
    checkBrowser();

    // 阻止默认行为写法，Chrome56以上版本
    // document.addEventListener('touchmove', func, isPassive() ? {
    //         capture: false,
    //         passive: false
    //     } : false);
})

// 以下不用可以删除

//表单相关
function forms () {

    //输入框文字清空还原，控制value
    // <input type="text" value="请输入关键字" />
    $(".deaSearch .inp").focus(function () {
        if ($(this).val() === this.defaultValue) {
            $(this).val("");
        }
    }).blur(function () {
        if ($(this).val() === '') {
            $(this).val(this.defaultValue);
        }
    });

}

//简单标签切换
function tabs (tit, box) {
    /*html结构
     <div class="tabs">

     <div class="tabhd">
     <ul>
     <li class="on">标题一</li>
     <li>标题二</li>
     </ul>
     </div>

     <div class="tabbd">
     <div>内容一</div>
     <div>内容二</div>
     </div>

     </div>
     */
    var oDivLi = $(tit).children();
    var oBoxLi = $(box).children();
    var i;
    oBoxLi.hide();
    oDivLi.each(function () {
        if ($(this).hasClass('on')) {i = $(this).index();}
    });
    oBoxLi.eq(i).show();
    oDivLi.click(function () {
        $(this).addClass("on").siblings().removeClass("on");
        var index = oDivLi.index(this);
        oBoxLi.eq(index).fadeIn("linear").siblings().hide();
    });
}

// 判断浏览器
var checkBrowser = function () {
    var userAgent = window.navigator.userAgent.toLowerCase();
    var msie8 = /msie 8\.0/i.test(userAgent);
    var msie7 = /msie 7\.0/i.test(userAgent);
    var msie6 = /msie 6\.0/i.test(userAgent);
    var checkHtml = '';

    if (msie8) {
        checkHtml = '<div class="checkBrowser"><span>您现在使用的是IE8内核，版本过低！建议您升级到IE9+或者使用极速模式浏览，以体验最佳效果!</span><a title="关闭" onclick="checkBrowser.close();">×</a></div>';
        $('body').append(checkHtml);
    } else if (msie7) {
        checkHtml = '<div class="checkBrowser"><span>您现在使用的是IE7内核，版本过低！建议您升级到IE9+或者使用极速模式浏览，以体验最佳效果!</span><a title="关闭" onclick="checkBrowser.close();">×</a></div>';
        $('body').append(checkHtml);
    } else if (msie6) {
        checkHtml = '<div class="checkBrowser"><span>您现在使用的是IE6内核，版本过低！建议您升级到IE9+或者使用极速模式浏览，以体验最佳效果!</span><a title="关闭" onclick="checkBrowser.close();">×</a></div>';
        $('body').append(checkHtml);
    }

    checkBrowser.close = function () {
        $('.checkBrowser').remove();
    }
}

// 判断是否移动设备
var isMobile = function () {
    var sUserAgent = navigator.userAgent.toLowerCase();
    var bIsIpad = sUserAgent.indexOf('ipad') >= 0;
    var bIsIphoneOs = sUserAgent.indexOf('iphone os') >= 0;
    var bIsMidp = sUserAgent.indexOf('midp') >= 0;
    var bIsUc7 = sUserAgent.indexOf('rv:1.2.3.4') >= 0;
    var bIsUc = sUserAgent.indexOf('ucweb') >= 0;
    var bIsAndroid = sUserAgent.indexOf('android') >= 0;
    var bIsCE = sUserAgent.indexOf('windows ce') >= 0;
    var bIsWM = sUserAgent.indexOf('windows mobile') >= 0;

    if (bIsIpad || bIsIphoneOs || bIsMidp || bIsUc7 || bIsUc || bIsAndroid || bIsCE || bIsWM) {
        return true;
    } else {
        return false;
    }
}

function func (e) {
    e.preventDefault();
}

/**
 * 弹出框
 * @param option
 * - type 弹出框类型 success, error, info, question, alert
 * - title 显示标题
 * - content 显示内容
 * - footerHide 是否显示底部按钮
 * - cancelHide 是否显示取消按钮
 * - btnColor 按钮主题色
 * - duration 显示时间, 毫秒。设为 0 则不会自动关闭
 * doneClick {function} 确认点击回调
 * cancelClick {function} 取消点击回调
 * onClose {function} 关闭窗口回调
 * @method success(option) - 弹出成功提示
 * @method error(option) - 弹出错误提示
 * @method prompt(option) - 弹出框提示
 * @returns {Alert}
 * @constructor
 */
/** var alertBox = new Alert();
 *  alertBox.alert({
 *    title: '提示信息',
 *    content: '成功提交',
 *     doneClick: function (e) {
 *         console.log('测试');
 *     }
 *   });
 */

class Alert {
    constructor () {
        this.boxId = Math.random().toString(36).substring(2, 6)
        this.option = {
            type: '',
            title: '提示信息',
            content: null,
            submitText: '确定',
            cancelText: '取消',
            footerHide: false,
            cancelHide: false,
            duration: 0,
            btnColor: '#2d8cf0',
            doneClick: function (e) {
                //确认
            },
            cancelClick: function (e) {
                //取消
            },
            onClose: function (e) {
                // 关闭窗口
            }
        }
    }

    init () {
        let iconType = 'tips-popup-icon',
            iconName = '',
            contentText = !this.option.content ? '' : '<div class="tips-popup-content">' + this.option.content + '</div>',
            footerBtn = this.option.footerHide ? '' : this.option.cancelHide ? '<ul class="tips-popup-footer"><li class="submit-btn" style="border-color:' + this.option.btnColor + ';background-color:' + this.option.btnColor + '">' + this.option.submitText + '</li></ul>' : '<ul class="tips-popup-footer"><li class="cancel-btn">' + this.option.cancelText + '</li><li class="submit-btn" style="border-color:' + this.option.btnColor + ';background-color:' + this.option.btnColor + '">' + this.option.submitText + '</li></ul>';

        switch (this.option.type) {
            case 'success':
                iconName = 'tips-icon-success';
                break;
            case 'error':
                iconName = 'tips-icon-error';
                break;
            case 'info':
                iconName = 'tips-icon-info';
                break;
            case 'question':
                iconName = 'tips-icon-question';
                break;
            case 'alert':
                iconName = 'tips-icon-alert';
                break;
            default:
                iconType = null;
                break;
        }
        let html = '<div class="tips-popup" id="tipsP' + this.boxId + '"><div class="tips-popup-mask"></div><div class="tips-popup-box ' + iconType + '"><div class="tips-popup-head"><span class="tips-icon ' + iconName + '">&nbsp;</span><div class="title">' + this.option.title + '</div><span class="tips-popup-close">&nbsp;</span></div>' + contentText + footerBtn + '</div></div>';

        $('body').append(html);
        $(`${"#tipsP" + this.boxId}`).addClass('init');
        setTimeout(() => {
            $(`${"#tipsP" + this.boxId}`).addClass('show');
            this.listenEvt();
        }, 200)
    }

    success (option) {
        $.extend(this.option, {type: 'success', cancelHide: true}, option)
        this.init()
    }

    error (option) {
        $.extend(this.option, {type: 'error', cancelHide: true}, option)
        this.init()
    }

    info (option) {
        $.extend(this.option, {type: 'info'}, option)
        this.init()
    }

    question (option) {
        $.extend(this.option, {type: 'question'}, option)
        this.init()
    }

    alert (option) {
        $.extend(this.option, {type: 'alert', cancelHide: true}, option)
        this.init()
    }

    close () {
        $(`${"#tipsP" + this.boxId}`).removeClass('init show');
        setTimeout(() => {
            $(`${"#tipsP" + this.boxId}`).remove()
        }, 400)
        this.option.onClose()
    }

    listenEvt () {
        let _this = this

        if (_this.option.duration !== 0) {
            setTimeout(() => {
                _this.close()
            }, _this.option.duration)
        }

        // 确定按钮
        $(`${"#tipsP" + this.boxId} .submit-btn`).click(function () {
            _this.option.doneClick()
            _this.close()
        })

        // 取消按钮
        $(`${"#tipsP" + this.boxId} .cancel-btn`).click(function () {
            _this.close()
            _this.option.cancelClick()
        })

        // 关闭按钮
        $(`${"#tipsP" + this.boxId} .tips-popup-mask, ${"#tipsP" + this.boxId} .tips-popup-close`).click(function () {
            _this.close()
        })
    }
}

/**
 * 获取验证码的插件
 * params.url - {string} - 获取验证的地址，必填
 * params.el - {string} - 最外填充层的节点，必填
 * params.lang - {string} - 语言版本，默认zh-cn，选填。可选值：zh-cn、zh-hk、zh-tw、en、ja、ko、id、ru、ar、es、pt-pt、fr、de
 * params.callback - {function} - 验证插件加载成功后返回
 */
function getVerCode (params) {
    if (!params.url) {
        throw console.error('请填写校验秘钥获取地址！')
    }
    let textHtml = '<div class="captcha-title">安全组件加载中</div>'
    let loadingHtml = '<div class="captcha-show captcha-loading-con">\n' +
        '                <div class="captcha-loading">\n' +
        '                    <div class="captcha-loading-dot"></div>\n' +
        '                    <div class="captcha-loading-dot"></div>\n' +
        '                    <div class="captcha-loading-dot"></div>\n' +
        '                    <div class="captcha-loading-dot"></div>\n' +
        '                </div>\n' +
        '            </div>'

    $(params.el).append(textHtml + loadingHtml)
    $.ajax({
        url: params.url,
        type: 'get',
        dataType: 'jsonp',
        success: function (data) {
            $(`${params.el} .captcha-title`).hide();
            $(`${params.el} .captcha-loading-con`).show();
            window.initGeetest({
                lang: params.lang || 'zh-cn',
                gt: data.code.gt,
                https: true,
                challenge: data.code.challenge,
                new_captcha: data.code.new_captcha,
                product: 'popup', // 产品形式，包括：float，embed，popup。注意只对PC版验证码有效
                width: '100%',
                offline: !data.code.success // 表示用户后台检测极验服务器是否宕机，一般不需要关注
            }, function (captchaObj) {
                var geetInit = captchaObj;
                captchaObj.appendTo(params.el);
                captchaObj.onReady(function () {
                    $(`${params.el} .captcha-loading-con`).hide();
                });
                captchaObj.onError(function () {
                    geetInit.reset();
                });
                params.callback(captchaObj)
            });
        }
    })
}

/**
 * 倒计时事件 —— 点击获取短信验证码
 * option.el - {string} - 最外填充层的节点，必填
 * option.interval - {number} - 间隔时间（秒）
 * option.callback - {function} - 倒计时完成返回
 */
function codeCountdown (option) {
    let timer = null,
        sendTime = Math.round(+new Date() / 1000);

    timer = setInterval(() => {
        let now = Math.round(+new Date() / 1000),
            diff = sendTime + Number(option.interval) - now;

        if (diff > 0) {
            $(option.el).addClass('disabled').text(diff + 's后重新发送')
        } else {
            $(option.el).removeClass('disabled').text('获取验证码')
            option.callback()
            clearInterval(timer)
        }
    }, 1000)
}

/**
 * 获取手机验证码封装
 * @param option
 * option.btn - {string} - 点击获取验证码的按钮id或者类名
 * option.url - {string} - 发送验证码接口地址
 * option.data.mobileEl - {string} - 获取mobile字段的input
 * option.data.event - {string} - 发送验证码的event字段，注册为'register'，登录为'login'
 * option.onSuccess - {function} - 获取成功返回函数
 * option.onError - {function} - 获取失败返回函数
 */
function getPhoneCode (option) {
    let flag = true,
        origin = window.location.origin

    let oAlert = new Alert()

    option = $.extend({}, {
        url: `${origin}/api/sms/send`,
        onSuccess: function () {
            // 成功返回
        },
        onError: function () {
            // 失败返回
        }
    }, option)
    // 点击事件重复执行，绑定点击事件前需先解绑一次点击事件
    $(option.btn).unbind().click(function () {
        if (flag) {
            let mobile = $(option.data.mobileEl).val()
            if (!/^1[3456789]\d{9}$/.test(mobile)) {
                oAlert.error({
                    content: '请输入正确的手机号'
                })
                return false
            }

            flag = false

            $.ajax({
                url: option.url,
                method: 'POST',
                data: {
                    mobile: mobile,
                    event: option.data.event
                },
                success (res) {
                    if (res.code === 1) {
                        option.onSuccess(res)
                        codeCountdown({
                            el: option.btn,
                            interval: 60,
                            callback: function () {
                                flag = true
                            }
                        })
                    } else {
                        flag = true
                        option.onError(res)
                        oAlert.error({
                            content: res.msg
                        })
                    }
                },
                error (XMLHttpRequest, textStatus) {
                    flag = true
                    option.onError({
                        msg: '请求错误!'
                    })
                    oAlert.error({
                        content: textStatus
                    })
                }
            })
        }
    })
}

/**
 * 分享组件
 * 分享按钮需要加上data-share属性，值的对应分别为qq（qq分享），weibo（微博分享），wechat（微信分享）
 * params.el - {string} - 分享按钮类
 * params.url - {string} - 分享url
 * params.title - {string} - 分享标题
 */
class ShareTo {
    constructor (params) {
        let _this = this
        this.params = $.extend({
            url: window.location.href,
            title: document.title,
            el: '.share-btn'
        }, params)

        $(this.params.el).each(function () {
            let type = $(this).attr('data-share')

            _this[`${type}`]($(this))
        }).click(function () {
            let url = $(this).attr('data-url'),
                params = "height=540,width=720, top = " + (window.screen.height - 540) / 2 + ", left = " + (window.screen.width - 720) / 2 + ", toolbar=no,menubar=no,resizable=yes,location=yes,status=no"

            if (url) {
                window.open(url, 'share', params)
            } else if (_this.isWechat()) {
                $('.wechat-tip-mask').show()
            }
        })
    }

    qq (el) {
        let n = "http://connect.qq.com/widget/shareqq/index.html?url=" + encodeURIComponent(this.params.url) + "&showcount=0&desc=" + encodeURIComponent(this.params.title) + "&summary=&title=" + encodeURIComponent(this.params.title) + "&pics=&style=203&width=19&height=22"

        el.attr('data-url', n)
    }

    weibo (el) {
        let n = "http://service.weibo.com/share/share.php?url=" + encodeURIComponent(this.params.url) + "&appkey=&title=" + encodeURIComponent(this.params.title) + "&pic=&ralateUid=&language=&searchPic=false"

        el.attr('data-url', n)
    }

    wechat (el) {
        let html = ''

        if (this.isWechat()) {
            html = '<div class="wechat-tip-mask"></div>'

            $('body').append(html)

            $('.wechat-tip-mask').click(function () {
                $(this).hide()
            })
        } else {
            html = '<div class="wechat-ewm"><div class="img" id="wechatEwm"></div><p>用微信扫描二维码</p></div>'

            if ($('#wechatEwm').length <= 0) {
                el.append(html)
            }

            $('#wechatEwm').qrcode({
                render: "canvas",
                text: this.params.url,
                width: 113,
                height: 113
            })
        }
    }

    isWechat () {
        return window.navigator.userAgent.toLowerCase().indexOf('micromessenger') !== -1
    }
}